## capsfilter capsfilter — Pass data without modification, limiting formats |

## Synopsis

                        GstCapsFilter;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseTransform
                         +----GstCapsFilter

## Properties

      "caps"                     GstCaps*              : Read / Write

## Description

The element does not modify data as such, but can enforce limitations on the data format.

### Example launch line

    1
    gst-launch videotestsrc ! video/x-raw-gray ! ffmpegcolorspace ! autovideosink

Limits acceptable video from videotestsrc to be grayscale.

## Details

### GstCapsFilter

    typedef struct _GstCapsFilter GstCapsFilter;

The opaque GstCapsFilter data structure.

## Property Details

### The `"caps"` property

      "caps"                     GstCaps*              : Read / Write

Restrict the possible allowed capabilities (NULL means ANY). Setting this property takes a reference to the supplied GstCaps object.